=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,7 @@
   Bpp/Phyl/Likelihood/RNonHomogeneousTreeLikelihood.cpp
   Bpp/Phyl/Likelihood/TreeLikelihoodTools.cpp
   Bpp/Phyl/Likelihood/PairedSiteLikelihoods.cpp
+  Bpp/Phyl/Likelihood/GlobalClockTreeLikelihoodFunctionWrapper.cpp
   Bpp/Phyl/Mapping/AnalyticalSubstitutionCount.cpp
   Bpp/Phyl/Mapping/OneJumpSubstitutionCount.cpp
   Bpp/Phyl/Mapping/ProbabilisticSubstitutionMapping.cpp
@@ -55,14 +56,8 @@
   Bpp/Phyl/Mapping/UniformizationSubstitutionCount.cpp
   Bpp/Phyl/Mapping/IndexToCount.cpp
   Bpp/Phyl/Mapping/SubstitutionMappingTools.cpp
-  Bpp/Phyl/Model/AbstractCodonFrequenciesReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/AbstractCodonReversibleSubstitutionModel.cpp
+  Bpp/Phyl/Model/BinarySubstitutionModel.cpp
   Bpp/Phyl/Model/AbstractSubstitutionModel.cpp
-  Bpp/Phyl/Model/AbstractWordReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonAsynonymousFrequenciesReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonAsynonymousReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonNeutralFrequenciesReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonNeutralReversibleSubstitutionModel.cpp
   Bpp/Phyl/Model/DSO78.cpp
   Bpp/Phyl/Model/F84.cpp
   Bpp/Phyl/Model/FrequenciesSet.cpp
@@ -79,6 +74,8 @@
   Bpp/Phyl/Model/SSR.cpp
   Bpp/Phyl/Model/LG08.cpp
   Bpp/Phyl/Model/WAG01.cpp
+  Bpp/Phyl/Model/AbstractBiblioSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractBiblioMixedSubstitutionModel.cpp
   Bpp/Phyl/Model/LLG08_EHO.cpp
   Bpp/Phyl/Model/LLG08_EX2.cpp
   Bpp/Phyl/Model/LLG08_EX3.cpp
@@ -93,18 +90,30 @@
   Bpp/Phyl/Model/RE08.cpp
   Bpp/Phyl/Model/SubstitutionModelFactory.cpp
   Bpp/Phyl/Model/SubstitutionModelSet.cpp
+  Bpp/Phyl/Model/MixedSubstitutionModelSet.cpp
   Bpp/Phyl/Model/SubstitutionModelSetTools.cpp
   Bpp/Phyl/Model/T92.cpp
   Bpp/Phyl/Model/TN93.cpp
-  Bpp/Phyl/Model/TripletReversibleSubstitutionModel.cpp
   Bpp/Phyl/Model/UserProteinSubstitutionModel.cpp
-  Bpp/Phyl/Model/WordReversibleSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractWordSubstitutionModel.cpp
+  Bpp/Phyl/Model/WordSubstitutionModel.cpp
+  Bpp/Phyl/Model/TripletSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonPhaseFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonDistanceSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonDistanceSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonDistanceFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonDistancePhaseFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonRateSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonRateFrequenciesSubstitutionModel.cpp
   Bpp/Phyl/Model/YN98.cpp
   Bpp/Phyl/Model/YNGKP_M1.cpp
   Bpp/Phyl/Model/YNGKP_M2.cpp
   Bpp/Phyl/Model/YNGKP_M3.cpp
   Bpp/Phyl/Model/YNGKP_M7.cpp
   Bpp/Phyl/Model/YNGKP_M8.cpp
+  Bpp/Phyl/Model/YpR.cpp
   Bpp/Phyl/NNITopologySearch.cpp
   Bpp/Phyl/Node.cpp
   Bpp/Phyl/OptimizationTools.cpp
@@ -179,6 +188,7 @@
   Bpp/Phyl/Likelihood/TreeLikelihood.h
   Bpp/Phyl/Likelihood/TreeLikelihoodTools.h
   Bpp/Phyl/Likelihood/PairedSiteLikelihoods.h
+  Bpp/Phyl/Likelihood/GlobalClockTreeLikelihoodFunctionWrapper.h
   Bpp/Phyl/Mapping/AnalyticalSubstitutionCount.h
   Bpp/Phyl/Mapping/IndexToCount.h
   Bpp/Phyl/Mapping/OneJumpSubstitutionCount.h
@@ -190,14 +200,8 @@
   Bpp/Phyl/Mapping/SubstitutionCount.h
   Bpp/Phyl/Mapping/SubstitutionMapping.h
   Bpp/Phyl/Mapping/SubstitutionMappingTools.h
-  Bpp/Phyl/Model/AbstractCodonFrequenciesReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/AbstractCodonReversibleSubstitutionModel.h
+  Bpp/Phyl/Model/BinarySubstitutionModel.h
   Bpp/Phyl/Model/AbstractSubstitutionModel.h
-  Bpp/Phyl/Model/AbstractWordReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonAsynonymousFrequenciesReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonAsynonymousReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonNeutralFrequenciesReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonNeutralReversibleSubstitutionModel.h
   Bpp/Phyl/Model/DSO78.h
   Bpp/Phyl/Model/F84.h
   Bpp/Phyl/Model/FrequenciesSet.h
@@ -215,6 +219,8 @@
   Bpp/Phyl/Model/SSR.h
   Bpp/Phyl/Model/LG08.h
   Bpp/Phyl/Model/WAG01.h
+  Bpp/Phyl/Model/AbstractBiblioSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractBiblioMixedSubstitutionModel.h
   Bpp/Phyl/Model/LLG08_EHO.h
   Bpp/Phyl/Model/LLG08_EX2.h
   Bpp/Phyl/Model/LLG08_EX3.h
@@ -233,19 +239,32 @@
   Bpp/Phyl/Model/SubstitutionModelFactory.h
   Bpp/Phyl/Model/SubstitutionModel.h
   Bpp/Phyl/Model/SubstitutionModelSet.h
+  Bpp/Phyl/Model/MixedSubstitutionModelSet.h
   Bpp/Phyl/Model/SubstitutionModelSetTools.h
   Bpp/Phyl/Model/T92.h
   Bpp/Phyl/Model/TN93.h
-  Bpp/Phyl/Model/TripletReversibleSubstitutionModel.h
+  Bpp/Phyl/Model/TripletSubstitutionModel.h
   Bpp/Phyl/Model/TS98.h
   Bpp/Phyl/Model/UserProteinSubstitutionModel.h
-  Bpp/Phyl/Model/WordReversibleSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractWordSubstitutionModel.h
+  Bpp/Phyl/Model/WordSubstitutionModel.h
+  Bpp/Phyl/Model/CodonSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonPhaseFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonDistanceSubstitutionModel.h
+  Bpp/Phyl/Model/CodonDistanceSubstitutionModel.h
+  Bpp/Phyl/Model/CodonDistanceFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/CodonDistancePhaseFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/CodonRateSubstitutionModel.h
+  Bpp/Phyl/Model/CodonRateFrequenciesSubstitutionModel.h
   Bpp/Phyl/Model/YN98.h
   Bpp/Phyl/Model/YNGKP_M1.h
   Bpp/Phyl/Model/YNGKP_M2.h
   Bpp/Phyl/Model/YNGKP_M3.h
   Bpp/Phyl/Model/YNGKP_M7.h
   Bpp/Phyl/Model/YNGKP_M8.h
+  Bpp/Phyl/Model/YpR.h
   Bpp/Phyl/NNISearchable.h
   Bpp/Phyl/NNITopologySearch.h
   Bpp/Phyl/Node.h
@@ -278,23 +297,3 @@
 # Build the static lib
 add_library(bppphyl-static STATIC ${CPP_FILES})
 set_target_properties(bppphyl-static
-  PROPERTIES OUTPUT_NAME bpp-phyl
-  CLEAN_DIRECT_OUTPUT 1
-  )
-target_link_libraries(bppphyl-static ${LIBS})
-
-# Build the shared lib
-add_library(bppphyl-shared SHARED ${CPP_FILES})
-set_target_properties(bppphyl-shared
-  PROPERTIES OUTPUT_NAME bpp-phyl
-  CLEAN_DIRECT_OUTPUT 1
-  VERSION ${BPPPHYL_VERSION}
-  SOVERSION ${BPPPHYL_VERSION_MAJOR}
-  )
-target_link_libraries(bppphyl-shared ${LIBS})
-
-# Install libs
-install(TARGETS bppphyl-static bppphyl-shared DESTINATION lib${LIB_SUFFIX})
-
-# Install headers
-install(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN ".svn" EXCLUDE PATTERN "*.h" PATTERN "*.all")
