=== test/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,14 @@
 TARGET_LINK_LIBRARIES(test_likelihood ${LIBS})
 ADD_TEST(test_likelihood "test_likelihood")
 
+ADD_EXECUTABLE(test_likelihood_nh test_likelihood_nh.cpp)
+TARGET_LINK_LIBRARIES(test_likelihood_nh ${LIBS})
+ADD_TEST(test_likelihood_nh "test_likelihood_nh")
+
+ADD_EXECUTABLE(test_likelihood_clock test_likelihood_clock.cpp)
+TARGET_LINK_LIBRARIES(test_likelihood_clock ${LIBS})
+ADD_TEST(test_likelihood_clock "test_likelihood_clock")
+
 ADD_EXECUTABLE(test_mapping test_mapping.cpp)
 TARGET_LINK_LIBRARIES(test_mapping ${LIBS})
 ADD_TEST(test_mapping "test_mapping")
@@ -57,11 +65,11 @@
 ADD_TEST(test_bowker "test_bowker")
 
 IF(UNIX)
-  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
+  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_likelihood test_likelihood_nh test_likelihood_clock test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
 ENDIF()
 
 IF(APPLE)
-  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
+  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_likelihood test_likelihood_nh test_likelihood_clock test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
 ENDIF()
 
 IF(WIN32)
