=== debian/changelog ===
libbpp-phyl (2.0.3-1) unstable; urgency=low

  * Reorganized model hierarchy
  * New pairwise models
  * Several bugs fixed

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2013 16:00:00 +0100

libbpp-phyl (2.0.2-1) unstable; urgency=low

  * RFP: Bio++ -- The Bio++ bioinformatics libraries. (Closes: #616373).
  * Packages are now non-native.
  * Exact substitution mapping with detailled counts.
  * Backup system for ML estimation.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Jun 2011 11:00:00 +0100

libbpp-phyl (2.0.1) unstable; urgency=low

  * Fixed bug #27
  * Improved tree drawing algorithms.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 28 Feb 2011 09:00:00 +0100

libbpp-phyl (2.0.0) unstable; urgency=low

  * Better mixed models
  * Extended substitution mapping framework
  * More bug fixed, notably in simulation procedures
  * Topology comparison tools (ELW)
  * Improved graphic classes

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 07 Feb 2011 09:00:00 +0100

libbpp-phyl (1.9.0) unstable; urgency=low

  * Several bugs fixed and improvements, compilation with -Weffc++
  * Codon models
  * Improved non-homogeneous classes
  * Improved tree drawing classes

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 25 Mar 2010 13:47:24 +0100

libbpp-phyl (1.8.0) unstable; urgency=low

  * Several buf fixed and improvements.
  * New support for Nexus tree files.
  * New syntax for model description using keyvals.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 10 Jun 2009 11:28:58 +0100

libbpp-phyl (1.7.0) unstable; urgency=low

  * Several bug fixed and improvements...

 -- Julien Dutheil <jdutheil@birc.au.dk>  Thu, 11 Dec 2008 12:21:37 +0100

libbpp-phyl (1.6.0) unstable; urgency=low

  * New +F protein models + bugs fixed.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 24 Sep 2008 14:07:26 +0200

libbpp-phyl (1.5.1) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Mon, 21 Jul 2008 15:17:26 +0200
