=== debian/control ===
Source: libbpp-phyl
Section: libs
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-seq-dev (>= 2.0.3)
Standards-Version: 3.9.1

Package: libbpp-phyl-dev
Section: libdevel
Architecture: any
Depends: libbpp-phyl9 (= ${binary:Version}), ${misc:Depends},
  libbpp-seq-dev (>= 2.0.3)
Description: Bio++ Phylogenetic library development files.
 Contains the Bio++ classes for phylogenetics.

Package: libbpp-phyl9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-seq9 (>= 2.0.3)
Description: Bio++ Phylogenetic library.
 Contains the Bio++ classes for phylogenetics.
